#ifndef DBANSWERPARSER_H
#define DBANSWERPARSER_H

#include "dataparser.h"
#include "serverlmswidget.h"

#include <QObject>
#include <QDomDocument>
#include <contactModel.h>

class DBAnswerParser : public QObject
{
    Q_OBJECT
public:
    explicit DBAnswerParser(QObject *parent = nullptr);
    void initialize(DataParser *dataParser);
    QByteArray listInstructors(bool result, QList<Instructor> *listInstructors);
    QByteArray listGroups(bool result, QList<Group> *listGroups);
    QByteArray listTrainees(bool result, QList<Trainee> *listTrainees);
    QByteArray listComputers(bool result, QList<Computer> *listComputers);
    QByteArray listClassrooms(bool result, QList<Classroom> *listClassrooms);
    QByteArray listContacts(bool result, QList<ContactModel> *listContacts);

    QByteArray listTasksAMMofTrainee(bool result, QList<TaskAmmFim> *listTasks, int trainee_id, bool full_list);
    QByteArray listTasksFIMofTrainee(bool result, QList<TaskAmmFim> *listTasks, int trainee_id, bool full_list);
signals:

private:
    DataParser *dataParser;

};

#endif // DBANSWERPARSER_H
